Bug 212803 - hardlink's man page and usage message do not mention that -v may be repeated twice.
hardlink's man page and usage message do not mention that -v may be repeated ...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils (Show other bugs)
4.4
All Linux
medium Severity low
: ---
: ---
Assigned To: Jarod Wilson
Brian Brock
:
Depends On: 210816
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-29 02:27 EST by Jindrich Novy
Modified: 2013-07-02 19:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-23 11:15:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add description for -vv (856 bytes, patch)
2008-12-18 07:02 EST, Jindrich Novy
no flags Details | Diff

  None (edit)
Description Jindrich Novy 2006-10-29 02:27:39 EST
+++ This bug was initially created as a clone of Bug #210816 +++

In order for the hardlink utility to be truly verbose (to output the individual
file pairs that are being linked together, not just a little summary at the
end), it needs to be passed the -v option twice. However, neither the man page,
nor the usage message mentions this. It would be good if the man page and/or the
usage string were updated.

-- Additional comment from jnovy@redhat.com on 2006-10-29 02:26 EST --
Fixed in rawhide for now. It needs to be fixed in RHEL5 beta as well. I'm going
to clone this bug for RHEL4.4 kernel-utils.
Comment 1 Jarod Wilson 2008-12-17 10:54:33 EST
I presume we're looking to try to sneak this into 4.8? If so, is there a readily available patch already, or do I need to generate one based on the fixes that went into rawhide way back in October of 2006?... :)
Comment 2 Jindrich Novy 2008-12-18 07:02:41 EST
Created attachment 327315 [details]
Add description for -vv

The patch is mostly trivial. It is dug from RHEL5 hardlink.
Comment 3 Jarod Wilson 2008-12-23 11:15:23 EST
Hrm, we've apparently already had this fix in RHEL4 kernel-utils' hardlink for ... I dunno how long. We probably picked that up when we fixed bug 219609 and bug 197789 back in May of 2007. Anyhow, both the binary and the man page both already have the -vv switch documented, so closing NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.